org.springframework.web.socket.server.standard

## Class WebSphereRequestUpgradeStrategy

- java.lang.Object
- - org.springframework.web.socket.server.standard.AbstractStandardUpgradeStrategy
  - - org.springframework.web.socket.server.standard.WebSphereRequestUpgradeStrategy

All Implemented Interfaces:
  RequestUpgradeStrategy

    public class WebSphereRequestUpgradeStrategy
    extends AbstractStandardUpgradeStrategy

WebSphere support for upgrading an `HttpServletRequest` during a WebSocket handshake. To modify properties of the underlying `ServerContainer` you can use `ServletServerContainerFactoryBean` in XML configuration or, when using Java configuration, access the container instance through the "javax.websocket.server.ServerContainer" ServletContext attribute.

Tested with WAS Liberty beta (August 2015) for the upcoming 8.5.5.7 release.

Since:
  4.2.1
Author:
  Rossen Stoyanchev

### Field Summary

### Fields inherited from class org.springframework.web.socket.server.standard.AbstractStandardUpgradeStrategy

`logger`

### Constructor Summary

Constructors
Constructor and Description
`WebSphereRequestUpgradeStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getSupportedVersions()` Return the supported WebSocket protocol versions.
`void` `upgradeInternal(org.springframework.http.server.ServerHttpRequest httpRequest, org.springframework.http.server.ServerHttpResponse httpResponse, String selectedProtocol, List<Extension> selectedExtensions, Endpoint endpoint)`

### Methods inherited from class org.springframework.web.socket.server.standard.AbstractStandardUpgradeStrategy

`getContainer, getHttpServletRequest, getHttpServletResponse, getInstalledExtensions, getSupportedExtensions, upgrade`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSphereRequestUpgradeStrategy

    public WebSphereRequestUpgradeStrategy()

### Method Detail

#### getSupportedVersions

    public String[] getSupportedVersions()

Description copied from interface: `RequestUpgradeStrategy`
Return the supported WebSocket protocol versions.

#### upgradeInternal

    public void upgradeInternal(org.springframework.http.server.ServerHttpRequest httpRequest,
                                org.springframework.http.server.ServerHttpResponse httpResponse,
                                @Nullable
                                String selectedProtocol,
                                List<Extension> selectedExtensions,
                                Endpoint endpoint)
                         throws HandshakeFailureException

Specified by:
  `upgradeInternal` in class `AbstractStandardUpgradeStrategy`
Throws:
  `HandshakeFailureException`